#
# spec file for package traceroute-lbl (Version 1.4a5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         traceroute-lbl
Copyright:    BSD
Group:        Applications/Internet
Autoreqprov:  on
Version:      1.4a5
Release:      34
Url:          ftp://ftp.ee.lbl.gov/
Summary:      Traceroute with support for UDP and ICMP protocols
Source:       traceroute-lbl-%{version}.tar.bz2
Patch:        long_hostname.dif
Patch1:       savestr-not-used.dif
Patch2:       unaligned.dif
Patch3:       alpha.dif
Patch4:       security.dif
Patch5:       autoroute.dif
Patch6:       traceroute-lbl-%{version}.dif
Patch7:       aliases.dif
Patch8:       options.dif
Patch9:       ipflags.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.
Install traceroute if you need a tool for diagnosing network connectivity
problems.

Authors:
--------
    Lawrence Berkeley National Laboratory 
    Network Research Group: 
     
    Van Jacobson 
    Steve Deering 
    C. Philip Wood 
    Tim Seaver 
    Ken Adelman

SuSE series: n

%prep
%setup -n traceroute-%{version}
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9

%build
%{suse_update_config}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
                                    --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
make DESTDIR=${RPM_BUILD_ROOT} install install-man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*

%changelog -n traceroute-lbl
* Tue Jul 31 2001 - cihlar@suse.cz
- initilal version 1.4a5
